package hello;

import junit.framework.*; 

/**
 * $Revision: 1.1.1.1 $ $Date: 2002/09/30 02:21:57 $ (helder@acm.org).
 */
public class AllTests {
    
    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite("Run all tests for JSP Hello Struts edition");

        // Remote Action command tests
        suite.addTest(hello.jsp.NewMessageActionTest.suite());
        suite.addTest(hello.jsp.ShowLastMessageActionTest.suite());
        suite.addTest(hello.jsp.ShowMessagesActionTest.suite());
        
        // Front Controller tests
        suite.addTest(hello.jsp.MessageActionServletTest.suite());
        
        return suite;
    }
}
